%define anolis_release 1

# Generated by go2rpm
# Same issue as https://github.com/julienschmidt/httprouter/issues/263
%bcond_with check

# https://github.com/bouk/httprouter
%global goipath         github.com/bouk/httprouter
Version:                2.0

%gometa

%global common_description %{expand:
HttpRouter is a lightweight high performance HTTP request router (also called
multiplexer or just mux for short) for Go.

In contrast to the [default mux][http.ServeMux] of Go`s net/http package, this
router supports variables in the routing pattern and matches against the request
method. It also scales better.

The router is optimized for high performance and a small memory footprint. It
scales well even with very long paths and a large number of routes. A
compressing dynamic trie (radix tree) structure is used for efficient
matching.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %{anolis_release}%{?dist}
Summary:        Lightweight high performance HTTP request router for Go

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golist

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-1
- Init upstream from version 2.0
